**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/26.1/binders/binder-sections/update-binder-section

# Update Binder Section

Update a section in a binder.

<Endpoint path="/api/{version}/objects/binders/{binder_id}/sections/{node_id}" method="PUT" />

## Headers

| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
| `{node_id}` | The binder node `id` of the section. When querying fields on binder nodes, this field corresponds to the `section_id__sys` field. |
</FieldTable>

## Body Parameters

Configure one or more of the following fields with values. These are all optional.

<FieldTable>
| Field Name | Description |
| --- | --- |
| `name__v`<Requiredness type="optional" /> | Change the name of the binder section. |
| `section_number__v`<Requiredness type="optional" /> | Update the section number value. |
| `order__v`<Requiredness type="optional" /> | Enter a number reflecting the position of the section within the binder or parent section. Negative order values appear first. For example, an order value of -100 appears before an order value of 0. |
| `parent_id__v`<Requiredness type="optional" /> | To move the section to a different section in the binder, include the value of the parent node where it will be moved. When querying fields on binder nodes, this field corresponds to the `parent_section_id__sys` field. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "name__v=VeevaProm Additional Information" \
-d "section_number__v=3" \
-d "parent_id__v=rootNode" \
-d "order__v=4" \
https://myvault.veevavault.com/api/v15.0/objects/binders/566/sections/1427232809771:1381853041
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "id": "1427486900128:1467568099"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault returns the Node ID of the newly created section. This is unique within the binder, regardless of level.

---

**Previous:** [Create Binder Section](/clinical/vault-api/api-reference/26.1/binders/binder-sections/create-binder-section)  
**Next:** [Delete Binder Section](/clinical/vault-api/api-reference/26.1/binders/binder-sections/delete-binder-section)